PayPM Platform API
string · requiredstring · requiredstring · enum · requiredstring · enum · requiredstring · uuidstring · date-timestringstring
string · uuid · requiredstring · minLength: 6 · maxLength: 6 · requiredstring · requiredstring · requiredbooleanstringstring · date-time
string · requiredstring · requiredstring · requiredstring · minLength: 6 · maxLength: 6 · requiredstring · requiredboolean · enum · requiredboolean · enum · requiredstring · requiredstring · emailstringstringintegerstringobject
Request an OTP code
POST
https://sandbox-heritagepay-api.paypm.net/api/v1
/auth/otp/issue
Request an OTP code › Request Body
phonebusinessEntityIdDeployment id from Partner Console / Plane B. Sandbox demo id is heritagepay.
channelEnum values:
sms
purposeEnum values:
register
login
reset_pin
Request an OTP code › Responses
OTP challenge created. This is not proof that an SMS was delivered.
otpChallengeIdexpiresAtchannelmaskedPhoneExchange an OTP code for a short-lived otpToken
POST
https://sandbox-heritagepay-api.paypm.net/api/v1
/auth/otp/verify
Exchange an OTP code for a short-lived otpToken › Request Body
otpChallengeIdcodephonebusinessEntityIdExchange an OTP code for a short-lived otpToken › Responses
OTP verified.
verifiedotpTokenexpiresAtRegister an end-user and issue tokens
POST
https://sandbox-heritagepay-api.paypm.net/api/v1
/auth/register
Register an end-user and issue tokens › Request Body
phonebusinessEntityIdfullNamepinotpTokentermsAcceptedEnum values:
privacyAcceptedEnum values:
legalAcceptanceVersionemailRegister an end-user and issue tokens › Responses
User registered and wallet provisioning status returned.
accessTokenrefreshTokenexpiresInendUserIdwalletProvisioningPIN login
POST
https://sandbox-heritagepay-api.paypm.net/api/v1
/auth/login